Bug 500769 - When compiz is running Kontact based apps fail to render window managers but only the window body
When compiz is running Kontact based apps fail to render window managers but ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 01:46 EDT by Hasan Ceylan
Modified: 2009-06-28 20:17 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-28 20:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf (417 bytes, text/plain)
2009-05-16 10:25 EDT, Hasan Ceylan
no flags Details
Xorg.0.log (12.67 KB, text/plain)
2009-05-16 10:26 EDT, Hasan Ceylan
no flags Details
.xsession-errors (848.95 KB, application/octet-stream)
2009-05-21 13:22 EDT, Hasan Ceylan
no flags Details

  None (edit)
Description Hasan Ceylan 2009-05-14 01:46:04 EDT
Description of problem:
Apps like Kontact, KMail, Usenet stc. cannot draw the window title and border.

Version-Release number of selected component (if applicable):

[hceylan@ceylan ~]$ rpm -qa | grep kde
kdenetwork-libs-4.2.2-1.fc10.i386
kdeutils-4.2.2-2.fc10.i386
kdebase-libs-4.2.2-3.fc10.i386
kdebase-workspace-4.2.2-5.fc10.i386
compiz-kde-0.7.8-7.fc10.i386
kde-plasma-weather-1.0.0-6.fc10.i386
kde-plasma-runcommand-1.2-1.fc10.i386
kde-plasma-translatoid-0.6-2.fc10.i386
kde-settings-kdm-4.1-6.20090206svn.fc10.noarch
kdelibs-4.2.2-12.fc10.i386
kdebase-workspace-libs-4.2.2-5.fc10.i386
kdelibs3-3.5.10-3.fc10.i386
kdeedu-marble-4.2.2-1.fc10.i386
kdeedu-kstars-4.2.2-1.fc10.i386
kdegames-4.2.2-6.fc10.i386
kdeutils-printer-applet-4.2.2-2.fc10.i386
kdebase-runtime-4.2.2-4.fc10.i386
kde-plasma-quickaccess-0.7.4-1.fc10.i386
solar-kde-theme-0.1.17-1.fc10.noarch
kdeartwork-sounds-4.2.2-3.fc10.noarch
kde-settings-4.1-6.20090206svn.fc10.noarch
kdepimlibs-akonadi-4.2.2-3.fc10.i386
kdegames-libs-4.2.2-6.fc10.i386
kdeplasma-addons-4.2.2-2.fc10.i386
kdeaccessibility-4.2.2-1.fc10.i386
kdebase-runtime-libs-4.2.2-4.fc10.i386
kde-plasma-ihatethecashew-0.3-1.fc10.i386
kdegraphics-libs-4.2.2-5.fc10.i386
kdeartwork-wallpapers-4.2.2-3.fc10.noarch
kdemultimedia-libs-4.2.2-2.fc10.i386
kdeedu-libs-4.2.2-1.fc10.i386
kdebase-4.2.2-3.fc10.i386
lockdev-1.0.1-13.fc10.i386
kde-filesystem-4-23.fc10.noarch
kde-settings-pulseaudio-4.1-6.20090206svn.fc10.noarch
kdelibs-common-4.2.2-12.fc10.i386
kdepimlibs-4.2.2-3.fc10.i386
kdepim-libs-4.2.2-3.fc10.i386
kdepim-4.2.2-3.fc10.i386
kdenetwork-4.2.2-1.fc10.i386
kdemultimedia-4.2.2-2.fc10.i386
kdeartwork-4.2.2-3.fc10.i386
kdegraphics-4.2.2-5.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. compiz-manager
2. kontact
3. Observe the window decoration missing
  
Actual results:
Observe the window decoration missing
Comment 1 Kevin Kofler 2009-05-14 06:24:55 EDT
It's Compiz which draws (or does not draw) the window decorations.
Comment 2 Hasan Ceylan 2009-05-14 07:30:55 EDT
Well, For all the other applications the window decoration and borders drawn just fine.

Only for the apps in this bug Window decoration has problem.

Since these apps are part of KDE, I suspect due to an early startup and no gui, they're missing window decorator replacement. just my 2¢

Hasan Ceylan
Comment 3 Kevin Kofler 2009-05-14 16:56:42 EDT
CCing drago01 as he's been working on getting compiz-kde into shape lately.
Comment 4 Matěj Cepl 2009-05-15 20:53:35 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 drago01 2009-05-16 05:33:17 EDT
Please test this build: http://koji.fedoraproject.org/koji/buildinfo?buildID=102326
Comment 6 Hasan Ceylan 2009-05-16 10:24:40 EDT
Nope, doesn't make a difference....
Comment 7 Hasan Ceylan 2009-05-16 10:25:34 EDT
Created attachment 344270 [details]
xorg.conf
Comment 8 Hasan Ceylan 2009-05-16 10:26:18 EDT
Created attachment 344271 [details]
Xorg.0.log
Comment 9 Matěj Cepl 2009-05-16 11:49:44 EDT
Thanks for the report. We are sorry that we cannot help you with your problem, but we are not able to support binary-only drivers. If you would be able to reproduce this issue using only open source software, please, reopen this bug with the additional information, but in meantime I have no choice than to close this bug as CANTFIX (because we really cannot fix it).

For users who are experiencing problems installing, configuring, or using the unsupported 3rd party proprietary "nvidia" video driver, Nvidia provides indirect customer support via an online web based support forum.  Nvidia monitors these web forums for commonly reported problems and passes them on to Nvidia engineers for investigation.  Once they've isolated a particular problem, it is often fixed in a future video driver update.

The NVNews Nvidia Linux driver forum is located at:

	http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

Once you have reported this issue in the Nvidia web forums, others who may have experienced the particular problem may be able to assist.  If there is a real bug occuring, Nvidia will be able to determine this, and will likely resolve the issue in a future driver update for the operating system releases that they officially support.

While Red Hat does not support the proprietary nvidia driver, users requiring technical support may also find the various X.Org, XFree86, and Red Hat mailing lists helpful in finding assistance:

X.Org mailing lists:
	http://www.freedesktop.org/XOrg/XorgMailingLists

XFree86 mailing lists:
	http://www.xfree86.org/sos/lists.html

Red Hat mailing lists:
	https://listman.redhat.com/mailman/listinfo
Comment 10 Kevin Kofler 2009-05-16 12:28:53 EDT
I think rdieter was able to reproduce this with one of the drivers actually in Fedora. I don't think this is a driver bug. Rex?
Comment 11 Kevin Kofler 2009-05-16 12:31:40 EDT
@drago01: The fix you committed is the "Added support for QT 4.5 raster graphicssystem." fix from upstream. But our Qt 4.5 does not default to raster, it defaults to the native X11 subsystem. So I'm not surprised it doesn't make any difference.
Comment 12 Hasan Ceylan 2009-05-16 22:16:36 EDT
I strongly disagree that this is a driver related problem. Once again, All the other applications draw just fine. 

The problem relates to only Kontact based apps, thus I think whatever common in these applications causes the problem.

I am neither sure that this also relates to QT, since other QT based applications runs / render / display just fine. 

Hasan
Comment 13 Rex Dieter 2009-05-16 23:02:40 EDT
Re: comment #10, I cannot reproduce this (anymore anyway).  works fine here with intel drivers.
Comment 14 Kevin Kofler 2009-05-16 23:15:02 EDT
Hasan Ceylan, can you please try Qt 4.5.1 from updates-testing?
su -c "yum --enablerepo=updates-testing update qt qt-x11"
Comment 15 drago01 2009-05-17 04:08:05 EDT
Please try the following:

Enable the workarounds plugin.
And then the Option "Force synchronization between X and GLX".
Comment 16 Hasan Ceylan 2009-05-17 06:41:18 EDT
(In reply to comment #15)
> Please try the following:
> 
> Enable the workarounds plugin.
> And then the Option "Force synchronization between X and GLX".  

This does'nt make any difference...
Comment 17 Hasan Ceylan 2009-05-17 06:47:29 EDT
(In reply to comment #14)
> Hasan Ceylan, can you please try Qt 4.5.1 from updates-testing?
> su -c "yum --enablerepo=updates-testing update qt qt-x11"  

Neither this helps....
Comment 18 Hasan Ceylan 2009-05-17 06:59:36 EDT
OK, Here's a bit of information that I think might be valuable.

Having the "KOrganizer Reminder Daemon" as auto start causes the problem. Once I uncheck "Start Reminder Daemon At Login", problem seems to be gone....

So it relates to K[ontact|Mail|Organizer|X] starts early, compiz kicks in, Kxxxx apps cannot replace the window manager for some reason, while late starting apps have no problem with the compiz WM... 

Hasan
Comment 19 Hasan Ceylan 2009-05-17 07:36:16 EDT
(In reply to comment #18)
> OK, Here's a bit of information that I think might be valuable.
> 
> Having the "KOrganizer Reminder Daemon" as auto start causes the problem. Once
> I uncheck "Start Reminder Daemon At Login", problem seems to be gone....
> 
> So it relates to K[ontact|Mail|Organizer|X] starts early, compiz kicks in,
> Kxxxx apps cannot replace the window manager for some reason, while late
> starting apps have no problem with the compiz WM... 
> 
> Hasan  

Actually in combination of above and switching to compiz WM after the login process has finished solves the problem.
Comment 20 Kevin Kofler 2009-05-17 15:17:44 EDT
Well, how were you switching to Compiz before? (The cleanest way is to simply select Compiz as your window manager in System Settings.)
Comment 21 Hasan Ceylan 2009-05-17 15:26:30 EDT
I was not switching. Compiz was already selected as the WM. I was login into the environment that hat compiz set as WM already...


Hasan
Comment 22 Kevin Kofler 2009-05-17 15:34:02 EDT
Nonsense, Compiz is never the default in KDE, KWin is (without desktop effects, as we disable these in kde-settings). Either you were not actually using Compiz or you switched to it somehow.
Comment 23 Hasan Ceylan 2009-05-17 19:00:57 EDT
I am not saying that Compiz is default in KDE.

1) Set the WM to Compiz
2) Log out
3) Log back in

So in your last session you are not changing the WM, you are loggin into a session where Compiz is the WM.

In other words, I am not swithcing to Compiz everytime I login. I set it to Compiz and it stays on. 

Hope this makes sense now....
Comment 24 Adel Gadllah 2009-05-21 09:31:10 EDT
I have talked to upstream about this and it seems that this is QT bug (race condition).

Dennis Kasprzyk (upstream maintainer, does most of the kde work for compiz): 

"it is not really a kontact problem. for some f**ing reason qt is running mad is you try to decorate to many windows at once. You can see a lot of qt related XRender errors on the terminal in this case. I've tried to fix it, but haven't found a working solution yet"

"its of a race condition, but I don't know where"

Reassigned to QT.

Hasan, please attach your ~/.xsession-errors file when this happens.
Comment 25 Hasan Ceylan 2009-05-21 13:22:00 EDT
Created attachment 344995 [details]
.xsession-errors
Comment 26 Steven M. Parrish 2009-05-30 22:45:33 EDT
Thank you for the report.  This is an issue that needs to be addressed by the
upstream developers.  Please report this upstream at http://bugs.kde.org  and
add the upstream information to this report.
Comment 27 Steven M. Parrish 2009-06-28 20:17:11 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.